# Form implementation generated from reading ui file 'src/eric7/WebBrowser/WebAuth/Fido2PasskeyEditDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_Fido2PasskeyEditDialog(object):
    def setupUi(self, Fido2PasskeyEditDialog):
        Fido2PasskeyEditDialog.setObjectName("Fido2PasskeyEditDialog")
        Fido2PasskeyEditDialog.resize(400, 174)
        Fido2PasskeyEditDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(Fido2PasskeyEditDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.headerLabel = QtWidgets.QLabel(parent=Fido2PasskeyEditDialog)
        self.headerLabel.setText("")
        self.headerLabel.setObjectName("headerLabel")
        self.verticalLayout.addWidget(self.headerLabel)
        self.label = QtWidgets.QLabel(parent=Fido2PasskeyEditDialog)
        self.label.setObjectName("label")
        self.verticalLayout.addWidget(self.label)
        self.displayNameEdit = QtWidgets.QLineEdit(parent=Fido2PasskeyEditDialog)
        self.displayNameEdit.setClearButtonEnabled(True)
        self.displayNameEdit.setObjectName("displayNameEdit")
        self.verticalLayout.addWidget(self.displayNameEdit)
        self.label_2 = QtWidgets.QLabel(parent=Fido2PasskeyEditDialog)
        self.label_2.setObjectName("label_2")
        self.verticalLayout.addWidget(self.label_2)
        self.userNameEdit = QtWidgets.QLineEdit(parent=Fido2PasskeyEditDialog)
        self.userNameEdit.setClearButtonEnabled(True)
        self.userNameEdit.setObjectName("userNameEdit")
        self.verticalLayout.addWidget(self.userNameEdit)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=Fido2PasskeyEditDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(Fido2PasskeyEditDialog)
        self.buttonBox.accepted.connect(Fido2PasskeyEditDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(Fido2PasskeyEditDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(Fido2PasskeyEditDialog)

    def retranslateUi(self, Fido2PasskeyEditDialog):
        _translate = QtCore.QCoreApplication.translate
        Fido2PasskeyEditDialog.setWindowTitle(_translate("Fido2PasskeyEditDialog", "Edit Passkey Data"))
        self.label.setText(_translate("Fido2PasskeyEditDialog", "Display Name:"))
        self.displayNameEdit.setToolTip(_translate("Fido2PasskeyEditDialog", "Enter the display name."))
        self.label_2.setText(_translate("Fido2PasskeyEditDialog", "User Name:"))
        self.userNameEdit.setToolTip(_translate("Fido2PasskeyEditDialog", "Enter the user name."))
